.TH sync_to_snapshot 1 "September 7, 2012" "version 1.0" "USER COMMANDS"
.SH NAME
sync_to_snapshot \- Rsync files to Amazon EC2
.SH SYNOPSIS
.B sync_to_snapshot
Rsync the indicated files and directories to Amazon EC2 and store
in a named EBS snapshot. Snapshot will be incrementally updated
if it already exists. The Version tag will be updated.
.PP
This will use the default EC2 endpoint URL unless environment variable
EC2_URL is set.
.PP
.SH OPTIONS
.TP
snapshot
Snapshot name (required)
.TP
access_key
EC2 access key
.TP
secret_key
EC2 secret key
.TP
image
Server AMI ID (defaults to ami-ccf405a5, Ubuntu Maverick 32bit)
.TP
type
Server type (defaults to m1.small)
.TP
username
Username for logging into instance ("ubuntu")
.TP
filesystem
Type of filesystem to create (bfs,cramfs,ext*,minix,ntfs,vfat,msdos).
.PP
Anything with a /sbin/mkfs.* executable on the server side will work.
Defaults to ext4.
.SH AUTHOR
Man page: Olivier Sallou <osallou@debian.org>
